Bug 1279746 - Incorrect configuration in master.yaml.v1.j2 template file
Incorrect configuration in master.yaml.v1.j2 template file
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Devan Goodwin
Ma xiaoqiang
Depends On:
  Show dependency treegraph
Reported: 2015-11-10 02:55 EST by Gaoyun Pei
Modified: 2016-07-03 20:46 EDT (History)
6 users (show)

See Also:
Fixed In Version: openshift-ansible-3.0.7-1.git.171.825ef4c
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-11-20 10:42:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gaoyun Pei 2015-11-10 02:55:30 EST
Description of problem:
"disabledFeatures: null" is redundant in openshift-ansible/roles/openshift_master/templates/master.yaml.v1.j2.
After AEP installation, this line makes the env didn't disable the features as we want.

Version-Release number of selected component (if applicable):
https://github.com/openshift/openshift-ansible.git -b master

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 2 Devan Goodwin 2015-11-10 14:55:26 EST
Fixed as of d9e8e0ea821a87c3eb924dc89f5cd8de40ce34c8.

The redundant line should no longer appear unless it's an atomic-enterprise install.
Comment 4 Gaoyun Pei 2015-11-11 04:51:21 EST
Verify this bug with atomic-openshift-utils-3.0.8-1.git.0.59ae79c.el7aos.noarch

The redundant line has been removed from template file.
After an atomic-enterprise installation, no "disabledFeatures: null" configured in /etc/origin/master/master-config.yaml.

Note You need to log in before you can comment on or make changes to this bug.